import type { NodeType } from 'prosemirror-model';
import type { PluginView } from 'prosemirror-state';
import type { EditorView } from 'prosemirror-view';
import { type TableCellFloatingButtonActions } from "./floating.js";
type MixedNodeType = NodeType | NodeType[];
export declare class TableCellContextView implements PluginView {
    #private;
    private static findCellDom;
    constructor(view: EditorView, actions: TableCellFloatingButtonActions, cellNodeType: MixedNodeType);
    update(view: EditorView): void;
    destroy(): void;
}
export {};
